---
- name: Get the master service repository
  git:
    repo: https://gitlab.com/plantd/master
    dest: "{{ plantd_master_srcdir }}"
    force: yes
  tags: [ "plantd-master" ]

#- name: Install the go dependencies
#  shell: make setup
#  args:
#    chdir: "{{ plantd_master_srcdir }}"
#  tags: [ "plantd-master" ]

- name: Build the master service
  shell: make
  args:
    chdir: "{{ plantd_master_srcdir }}"
  tags: [ "plantd-master" ]

- name: Install the master service
  shell: make install
  args:
    chdir: "{{ plantd_master_srcdir }}"
  tags: [ "plantd-master" ]
